
.site-footer {
	text-align: center;
}

/*====================================
=            Upper Footer            =
====================================*/

.upper-footer {
	/* @include font(15px, 1.5em); */
	background-image: url('images/bg-footer.jpg');
	background-color: var(--dark-color);
	background-size: cover;
	background-position: center right;
	background-repeat: no-repeat;
	color: var(--light-color);
	padding: 50px 0;
	position: relative;
	@media (min-width: 768px) {
		padding-bottom: 80px;
	}
	@media (min-width: 1060px) {
		padding-top: 90px;
		/* padding-bottom: 130px; */
		padding-bottom: 90px;
	}
	/* &:before {
		content: '';
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background-color: rgba($darkColor, 0.8);
		z-index: 0;
	} */
	.footer-header, .footer-contact-form, .footer-practice-info, .footer-nav {
		position: relative;
		z-index: 1;
	}
	.site-locations {
		text-align: center;
		justify-content: center;
		.show-icon {
			margin-right: 16px;
		}
		svg {
			width: 27px;
		}
	}
	.location-each {
		> * {
			margin-bottom: 20px;
			@media (min-width: 1060px) {
				margin-bottom: 30px;
			}
		}
	}
	.location-text {
		/* flex-direction: column; */
		align-items: center;
		svg {
			path {
				fill: var(--secondary-color);
			}
		}
	}
	.address-text {
		font-size: 18px;
		font-size: 1.125rem;
		line-height: 1.22em;
		font-weight: var(--fw-light);
		letter-spacing: 0.03em;
		@media (min-width: 768px) {
			font-size: 22px;
			font-size: 1.375rem;
			line-height: 1.18em;
		}
	}
	.phone-text {
		font-size: 24px;
		font-size: 1.5rem;
		line-height: 1.08em;
		font-weight: var(--fw-normal);
		letter-spacing: .66px;
		@media (min-width: 768px) {
			font-size: 33px;
			font-size: 2.0625rem;
		}
	}
	.h2 {
		color: var(--light-color);
		margin-top: 0;
		margin-bottom: 0;
		/* text-transform: uppercase; */
	}
	a {
		color: var(--light-color);
		text-decoration: none;
		transition: color .3s;
		&:hover, &:active, &:focus {
			color: var(--primary-highlight);
			svg {
				path {
					fill: var(--primary-highlight);
				}
			}
		}
		.nav-expander {
			display: none;
		}
	}
	svg {
		path {
			/* fill: $lightColor; */
			transition: fill .3s;
		}
	}
}

/* Footer Header */
.footer-header {
	flex-direction: column;
	grid-area: a;
	padding-bottom: 20px;
	.contact-text {
		width: 100%;
	}
}
/* Footer Contact Form */
.footer-contact-form {
	grid-area: b;
	margin-bottom: 50px;
	@media (min-width: 768px) {
		margin-bottom: 45px;
	}
	@media (min-width: 1060px) {
		margin-bottom: 0;
	}
	/* Gravity Forms */
	div[id^="gform_wrapper_"] {
		color: var(--light-color);
		form {
			label, legend {
				color: var(--light-color);
			}
			.gfield_description {
				color: rgb(from var(--light-color) r g b / 0.5);
			}
			.gf_progressbar_wrapper {
				.gf_progressbar_title {
					color: var(--light-color);
				}
				.gf_progressbar {
					background-color: rgb(from var(--light-color) r g b / 0.4);
				}
			}
			.disclaimer {
				width: 100%;
				margin-bottom: 20px;
				text-align: center;
				@media (min-width: 768px) {
					text-align: left;
				}
			}
			.gform-footer.gform_footer {
				width: fit-content;
				/* margin: 1em auto 0; */
				margin: 0 auto;
				@media (min-width: 1060px) {
					margin-left: 0;
				}
			}
		}
	}

	form.seaforms {
		margin-bottom: 40px;
		@media (min-width: 768px) {
			margin-bottom: 51px;
			display: flex;
			flex-wrap: wrap;
			justify-content: space-between;
		}
		.field-wrap {
			@media (min-width: 768px) {
				width: 49%;
			}
		}
		.type-textarea {
			width: 100%;
		}
		.disclaimer {
			width: 100%;
			margin-bottom: 20px;
			text-align: center;
		}
		.type-submitbutton {
			width: 100%;
			text-align: center;
		}
		input::placeholder,
		textarea::placeholder {
			color: var(--dark-color);
		}
	}
}
.footer-practice-info {
	grid-area: c;
	.fpi-container {
		width: fit-content;
	}
}
.f-logo {
	display: flex;
	align-items: center;
	justify-content: center;
	margin-bottom: 38px;
	@media (min-width: 1060px) {
		/* margin-top: 47px; */
		margin-top: 0;
	}
	svg {
		width: 280px;
		height: auto;
		@media (min-width: 768px) {
			width: 400px;
		}
		@media (min-width: 1060px) {
			width: 520px;
		}
	}
}


/*==================================
=            Footer Nav            =
==================================*/

.site-footer {
	.footer-nav {
		display: none;
		@media (min-width: 768px) {
			background-color: var(--primary-color);
			display: block;
			grid-area: d;
			margin: 55px 0 0;
			padding: 20px 0;
		}
		.menu {
			list-style: none;
			margin: 0;
			@media (min-width: 768px) {
				display: flex;
				justify-content: center;
				flex-wrap: wrap;
				align-items: center;
			}
			li {
				margin: 0 10px;
				ul {
					display: none;
				}
			}
		}
	}
}


/*===========================================
=            Footer Social Icons            =
===========================================*/

.f-social {
	margin-top: 10px;
	@media (min-width: 768px) {
		margin-top: 15px;
	}
	@media (min-width: 1060px) {
		margin-top: 20px;
	}
	.social-icons {
		font-size: 30px;
		font-size: 1.875rem;
		line-height: 1em;
		list-style: none;
		margin: 0;
		display: flex;
		justify-content: center;
		.show-icon {
			margin-right: 23px;
			&:last-of-type {
				margin-right: 0;
			}
			a:hover, a:active, a:focus {
				svg {
					path {
						fill: var(--primary-highlight);
					}
				}
			}
		}
		svg {
			width: auto;
			height: 30px;
			@media (min-width: 1060px) {
				height: 36px;
			}
			path {
				fill: var(--secondary-color);
			}
		}
	}
}

/*==================================================
=            Contact Page Footer Styles            =
==================================================*/

.contact, .contact-us {
	.upper-footer {
		display: none;
		padding-top: 0;
		@media (min-width: 768px) {
			display: block;
		}
		.footer-nav {
			border-top: none;
			margin-top: 0;
		}
	}
}

/*==============================================
=            Style Specific Classes            =
==============================================*/

.upper-footer {
	&.style-2,
	&.style-3 {
		.footer-practice-info {
			@media (min-width: 768px) {
				text-align: left;
			}
		}
		.location-address-block {
			display: block;
			.address-street:after {
				content: none;
			}
		}
		.hours-text {
			@media (min-width: 768px) {
				padding-left: 48px;
			}
		}
		.location-hours-block {
			@media (min-width: 768px) {
				justify-content: flex-start;
			}
		}
	}
}



/*====================================
=            Lower Footer            =
====================================*/

.lower-footer {
	font-size: 12px;
	font-size: 0.75rem;
	line-height: 1.75em;
	position: relative;
	padding-bottom: 80px;
	@media (min-width: 1060px) {
		padding-bottom: 90px;
	}
	@media (min-width: 1120px) {
		padding-left: calc(40px + (50vw - (1120px / 2)));
		padding-right: calc(40px + (50vw - (1120px / 2)));
	}
	a {
		&:hover {
			color: var(--primary-highlight);
		}
	}
	.ratings {
		a {
			display: flex;
			width: fit-content;
			justify-content: center;
			align-items: center;
			margin-left: auto;
			margin-right: auto;
			&:before {
				content: 'Read More Reviews';
			}
		}
		.ratings__text {
			display: none;
		}
		.ratings__stars {
			display: flex;
			column-gap: 5px;
			.ratings__star {
				display: flex;
				align-items: center;
			}
		}
	}
	a {
		color: var(--dark-alt);
		text-decoration: none;
		&.policy-sitemap {
			&:after {
				content: ' | ';
				display: inline;
				position: relative;
			}
		}
		&:nth-last-of-type(2) {
			&:after {
				content: none;
			}
		}
		&.accessibility {
			/* background: $primaryColor; */
			border: 1px solid var(--primary-color);
			color: var(--primary-color);
			padding: 2px 10px;
			margin-left: 5px;
			margin-right: 5px;
			display: inline-block;
			line-height: 16px;
			&:hover, &:active, &:focus {
				background: var(--primary-highlight);
				border-color: var(--primary-highlight);
				color: var(--light-color);
			}
		}
	}
	.rm-sig {
		margin-top: 20px;
		@media (min-width: 768px) {
			margin-top: 25px;
		}
		.rm-logo {
			padding-top: 5px;
			@media (min-width: 768px) {
				padding-top: 10px;
			}
			a {
				&:hover {
					svg {
						path {
							fill: var(--primary-highlight);
						}
					}
				}
			}
		}
		svg {
			width: 46px;
			height: auto;
			path {
				fill: var(--primary-color);
				transition: all .3s;
			}
		}
	}
}

.site-disclaimer {
	font-size: 13px;
	font-size: 0.8125rem;
	line-height: 1.58em;
	margin-bottom: 1em;
	@media (min-width: 768px) {
		margin-bottom: 20px;
	}
}

/*===================================================================
=            Userway / Accessibility and Recaptcha Icons            =
===================================================================*/

.grecaptcha-badge,
.js body .uwy .uai,
.js body .uwy .userway_buttons_wrapper {
	bottom: 5px;
  transition: all .3s!important;
}

.make-sticky .grecaptcha-badge,
.make-sticky .uai,
.make-sticky .userway_buttons_wrapper {
  bottom: 74px!important;
}

/*======================================
=        Related / Latest Posts        =
======================================*/

.f-blog {
	text-align: center;
	.f-blog-heading-wrap {
		margin-bottom: 2em;
		.f-blog-heading {
			margin-top: 0;
			margin-bottom: 10px;
		}
		.f-blog-sub-heading {
			margin-top: 0;
			margin-bottom: 10px;
		}
		.f-blog-description, .section-intro {
			margin-top: 0;
			margin-bottom: 0;
			p:last-of-type {
				margin-bottom: 0;
			}
		}
	}
	.footer-posts-list {
		display: grid;
		grid-template-columns: 1fr;
		column-gap: 1em;
		row-gap: 1em;
		list-style: none;
		margin: 0;
		padding-bottom: 2em;
		@media (min-width: 768px) {
			grid-template-columns: 1fr 1fr;
		}
		@media (min-width: 1060px) {
			grid-template-columns: 1fr 1fr 1fr;
		}
		li {
			text-align: left;
			&:nth-of-type(n+3) {
				display: none;
				@media (min-width: 1060px) {
					display: block;
				}
			}
			.blog-excerpt {
				padding-bottom: 1em;
			}
		}
	}
}
